Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.callback.acknowledgement
Class CallbackAcknowledgeClient

    java.lang.Object
      org.jboss.remoting.samples.callback.acknowledgement.CallbackAcknowledgeClient

    public class CallbackAcknowledgeClient

extends java.lang.Object

Constructor Summary
`CallbackAcknowledgeClient()`

Method Summary
`void` | `createRemotingClient(java.lang.String locatorURI)`
`void` | `disconnectRemotingClient()`
`static void` | `main(java.lang.String[] args)` Can pass transport and port to be used as parameters.
`void` | `testPolledCallbackApplicationAcknowledgements()` In this test the connection is configured for push callbacks implemented in Remoting by polling the server for callbacks and pushing them (on the client side) to the InvokerCallbackHandler.
`void` | `testPolledCallbackRemotingAcknowledgements()` In this test the connection is configured for push callbacks implemented in Remoting by polling the server for callbacks and pushing them (on the client side) to the InvokerCallbackHandler.
`void` | `testPullCallbackAcknowledgements()` In this test, the connection is configured for pull callbacks, and acknowledgements are made by an explicit call to Client.acknowledgeCallback() after the callbacks have been received.
`void` | `testPushCallbackApplicationAcknowledgements()` In this test the connection is configured for true push callbacks.
`void` | `testPushCallbackRemotingAcknowledgements()` In this test the connection is configured for true push callbacks, and Acknowledgements are handled implicitly by Remoting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallbackAcknowledgeClient

    public CallbackAcknowledgeClient()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Can pass transport and port to be used as parameters. Valid transports are 'rmi' and 'socket'.

  Parameters:
    `args` -

### createRemotingClient

    public void createRemotingClient(java.lang.String locatorURI)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### disconnectRemotingClient

    public void disconnectRemotingClient()

### testPullCallbackAcknowledgements

    public void testPullCallbackAcknowledgements()

  In this test, the connection is configured for pull callbacks, and acknowledgements are made by an explicit call to Client.acknowledgeCallback() after the callbacks have been received.

### testPolledCallbackApplicationAcknowledgements

    public void testPolledCallbackApplicationAcknowledgements()

  In this test the connection is configured for push callbacks implemented in Remoting by polling the server for callbacks and pushing them (on the client side) to the InvokerCallbackHandler. Acknowledgements are made from TestCallbackHandler.handleCallback() by an explicit call to Client.acknowledgeCallback() after the callbacks have been received.

### testPolledCallbackRemotingAcknowledgements

    public void testPolledCallbackRemotingAcknowledgements()

  In this test the connection is configured for push callbacks implemented in Remoting by polling the server for callbacks and pushing them (on the client side) to the InvokerCallbackHandler. Acknowledgements are handled implicitly by Remoting.

### testPushCallbackApplicationAcknowledgements

    public void testPushCallbackApplicationAcknowledgements()

  In this test the connection is configured for true push callbacks. Acknowledgements are made from TestCallbackHandler.handleCallback() by an explicit call to Client.acknowledgeCallback() after the callbacks have been received.

### testPushCallbackRemotingAcknowledgements

    public void testPushCallbackRemotingAcknowledgements()

  In this test the connection is configured for true push callbacks, and Acknowledgements are handled implicitly by Remoting.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.